3640eea70a5be39e82dc4a67c725171bff6e3c99
[debian/amanda] / server-src / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for Amanda server programs.
19
20 # vim:ft=automake
21 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
22
23 # This library is free software; you can redistribute it and/or modify it
24 # under the terms of the GNU Lesser General Public License version 2.1 as 
25 # published by the Free Software Foundation.
26
27 # This library is distributed in the hope that it will be useful, but
28 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
29 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
30 # License for more details.
31
32 # You should have received a copy of the GNU Lesser General Public License
33 # along with this library; if not, write to the Free Software Foundation,
34 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
35
36 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
37 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
38
39 # simple include file to pre-define variables which are then +='d by other
40 # scripts in this directory.
41
42 # vim:ft=automake
43 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
44
45 # This library is free software; you can redistribute it and/or modify it
46 # under the terms of the GNU Lesser General Public License version 2.1 as 
47 # published by the Free Software Foundation.
48
49 # This library is distributed in the hope that it will be useful, but
50 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
51 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
52 # License for more details.
53
54 # You should have received a copy of the GNU Lesser General Public License
55 # along with this library; if not, write to the Free Software Foundation,
56 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
57
58 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
59 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
60
61 # SYNOPSIS:
62 #
63 # Automake magic to handle the various tasks of building scripts.  Scripts can
64 # be built down to extensionless executables (e.g., foo.pl -> foo), or to 
65 # files with the usual extension (foo-lib.sh.in -> foo.sh).
66 #
67 # Files which support it are syntax-checked when the user invokes 'make check'.
68 #
69 # All *target* filenames must be listed in SCRIPTS_SHELL, SCRIPTS_PERL, and 
70 # SCRIPTS_AWK to support 'make check', 'make dist', and 'make distclean'. No
71 # files which are not substituted by config.status should be included in
72 # SCRIPTS_PERL, SCRIPTS_SHELL, or SCRIPTS_AWK.  If non-generated files are listed
73 # for installation, then Automake will figure out that they should be distributed;
74 # otherwise, include them in EXTRA_DIST.
75 #
76 # USAGE:
77 #
78 #   include $(top_srcdir)/config/automake/vars.am
79 #   include $(top_srcdir)/config/automake/scripts.am
80 #   ...
81 #   SCRIPTS_PERL = fooscript barscript perl-lib.pl perlmod.pm
82 #   SCRIPTS_SHELL = shell1 shell2 sh-lib.sh
83 #   SCRIPTS_AWK = talk balk chalk awk-lib.awk
84 #   sbin_SCRIPTS = not-subbed
85 #   EXTRA_DIST = util-script.pl
86 #
87 # with the corresponding files in the repository:
88 #
89 #   fooscript.pl barscript.pl perl-lib.pl.in perlmod.pm.in
90 #   shell1.sh shell2.sh sh-lib.sh.in
91 #   talk.awk balk.awk chalk.awk awk-lib.awk.in
92 #   not-subbed util-script.pl
93 #
94 # by default, all shell and perl scripts are syntax checked.  If this is
95 # a problem (for example, perl scripts depending on Amanda extension 
96 # modules), then assign to CHECK_{PERL,SHELL} the list of files you wish
97 # to be checked (which can be empty).
98 #
99 # To add extra flags to the perl checks (e.g., to add new -I flags), set
100 # CHECK_PERL_FLAGS.
101
102 # Implementation note:
103 #
104 # This file uses config.status to substitute @foo@ in those scripts while
105 # converting them. It also adds the executable bits (a+x) to extensionless
106 # files.  The substitution works even though the files are not listed in 
107 # configure.in
108
109 # vim:ft=automake
110 #
111 # Adjust post-install permissions settings.  This rule works off two
112 # specially-formatted variables, INSTALLPERMS_exec and INSTALLPERMS_data. 
113 # Each is a whitespace-separated list of commands, all of which are either
114 # a variable assignment or a filename.  Three variables are available:
115 #
116 #  - dest= sets the destination directory to e.g., $(sbindir)
117 #  - chown= controls changes in ownership; value is first argument to chown
118 #  - chmod= controls changes in permissions; value is first argument to chmod
119 #
120 # As a special case, chown=amanda is taken as equivalent to 
121 # chown=$(BINARY_OWNER):$(SETUID_GROUP), which may otherwise have problems with
122 # whitespace in the user/group names.
123
124 # when a filename is seen, the currently active variables are applied.
125 #
126 # Note that scripts are data, not executables!
127 #
128 # EXAMPLE
129 #
130 # sbin_PROGRAMS = foo bar bing
131 # libexec_PROGRAMS = pro gram
132 # sbin_SCRIPTS = sk ript
133 # INSTALLPERMS_exec = \
134 #       dest=$(sbindir) chown=amanda chmod= \
135 #               foo bar \
136 #       chmod=07450 \
137 #               bing
138 #       dest=$(libexecdir) chmod= \
139 #               $(libexec_PROGRAMS)
140 # INSTALLPERMS_data = \
141 #       dest=$(sbindir) chown=amanda chmod= \
142 #               $(sbin_SCRIPTS)
143 #
144 # This whole operation is not required when making builds for packaging,
145 # and can be disabled with --disable-installperms, via the WANT_INSTALLPERMS
146 # AM_CONDITIONAL.  When disabled, the file 'installperms.sh' in the top-level
147 # build directory is populated with a format suitable for shell interpretation,
148 # with lines like this:
149 #   installperm "amanda:disk" "04750" "/usr/local/sbin/bing"
150 # the arguments being, respectively, owner:group, mode, and filename.  There will
151 # be exactly one line for each file which has specific permissions.  The intention
152 # is that this file be used by packaging scripts to set correct permissions at install
153 # time.  Note that files which have no special permissions requirements do not appear 
154 # in this file at all, due to limitations of Automake.
155
156 # vim:ft=automake
157
158
159
160
161 VPATH = @srcdir@
162 pkgdatadir = $(datadir)/@PACKAGE@
163 pkgincludedir = $(includedir)/@PACKAGE@
164 pkglibdir = $(libdir)/@PACKAGE@
165 pkglibexecdir = $(libexecdir)/@PACKAGE@
166 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
167 install_sh_DATA = $(install_sh) -c -m 644
168 install_sh_PROGRAM = $(install_sh) -c
169 install_sh_SCRIPT = $(install_sh) -c
170 INSTALL_HEADER = $(INSTALL_DATA)
171 transform = $(program_transform_name)
172 NORMAL_INSTALL = :
173 PRE_INSTALL = :
174 POST_INSTALL = :
175 NORMAL_UNINSTALL = :
176 PRE_UNINSTALL = :
177 POST_UNINSTALL = :
178 build_triplet = @build@
179 host_triplet = @host@
180 target_triplet = @target@
181 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
182         $(srcdir)/Makefile.in \
183         $(top_srcdir)/config/automake/installperms.am \
184         $(top_srcdir)/config/automake/precompile.am \
185         $(top_srcdir)/config/automake/scripts.am \
186         $(top_srcdir)/config/automake/vars.am
187 @WANT_INSTALLPERMS_FALSE@am__append_1 = $(installperms_sh)
188 sbin_PROGRAMS = amadmin$(EXEEXT) amcheck$(EXEEXT) amflush$(EXEEXT) \
189         amlabel$(EXEEXT) amservice$(EXEEXT) amtape$(EXEEXT) \
190         amreport$(EXEEXT)
191 noinst_PROGRAMS = taper_source_test$(EXEEXT)
192 amlibexec_PROGRAMS = amindexd$(EXEEXT) amlogroll$(EXEEXT) \
193         amtrmidx$(EXEEXT) amtrmlog$(EXEEXT) driver$(EXEEXT) \
194         dumper$(EXEEXT) planner$(EXEEXT) taper$(EXEEXT) \
195         amcleanupdisk$(EXEEXT) chunker$(EXEEXT)
196 EXTRA_PROGRAMS = $(am__EXEEXT_1)
197 subdir = server-src
198 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
199 am__aclocal_m4_deps =  \
200         $(top_srcdir)/config/macro-archive/ac_define_dir.m4 \
201         $(top_srcdir)/config/macro-archive/ac_perl_module_version.m4 \
202         $(top_srcdir)/config/macro-archive/ac_prog_perl_version.m4 \
203         $(top_srcdir)/config/macro-archive/ac_prog_swig.m4 \
204         $(top_srcdir)/config/macro-archive/ax_compare_version.m4 \
205         $(top_srcdir)/config/macro-archive/docbook-dtd.m4 \
206         $(top_srcdir)/config/macro-archive/docbook-xslt-min.m4 \
207         $(top_srcdir)/config/macro-archive/docbook-xslt.m4 \
208         $(top_srcdir)/config/macro-archive/xsltproc.m4 \
209         $(top_srcdir)/config/amanda/amplot.m4 \
210         $(top_srcdir)/config/amanda/bsd-security.m4 \
211         $(top_srcdir)/config/amanda/bsdtcp-security.m4 \
212         $(top_srcdir)/config/amanda/bsdudp-security.m4 \
213         $(top_srcdir)/config/amanda/changer.m4 \
214         $(top_srcdir)/config/amanda/components.m4 \
215         $(top_srcdir)/config/amanda/compress.m4 \
216         $(top_srcdir)/config/amanda/config.m4 \
217         $(top_srcdir)/config/amanda/debugging.m4 \
218         $(top_srcdir)/config/amanda/defaults.m4 \
219         $(top_srcdir)/config/amanda/devprefix.m4 \
220         $(top_srcdir)/config/amanda/dirs.m4 \
221         $(top_srcdir)/config/amanda/documentation.m4 \
222         $(top_srcdir)/config/amanda/dumpers.m4 \
223         $(top_srcdir)/config/amanda/flags.m4 \
224         $(top_srcdir)/config/amanda/flock.m4 \
225         $(top_srcdir)/config/amanda/funcs.m4 \
226         $(top_srcdir)/config/amanda/getfsent.m4 \
227         $(top_srcdir)/config/amanda/i18n.m4 \
228         $(top_srcdir)/config/amanda/ipv6.m4 \
229         $(top_srcdir)/config/amanda/krb4-security.m4 \
230         $(top_srcdir)/config/amanda/krb5-security.m4 \
231         $(top_srcdir)/config/amanda/lfs.m4 \
232         $(top_srcdir)/config/amanda/libs.m4 \
233         $(top_srcdir)/config/amanda/net.m4 \
234         $(top_srcdir)/config/amanda/progs.m4 \
235         $(top_srcdir)/config/amanda/ps.m4 \
236         $(top_srcdir)/config/amanda/readdir.m4 \
237         $(top_srcdir)/config/amanda/readline.m4 \
238         $(top_srcdir)/config/amanda/rsh-security.m4 \
239         $(top_srcdir)/config/amanda/s3-device.m4 \
240         $(top_srcdir)/config/amanda/shmem.m4 \
241         $(top_srcdir)/config/amanda/socklen_t_equiv.m4 \
242         $(top_srcdir)/config/amanda/ssh-security.m4 \
243         $(top_srcdir)/config/amanda/summary.m4 \
244         $(top_srcdir)/config/amanda/swig.m4 \
245         $(top_srcdir)/config/amanda/syshacks.m4 \
246         $(top_srcdir)/config/amanda/tape.m4 \
247         $(top_srcdir)/config/amanda/types.m4 \
248         $(top_srcdir)/config/amanda/userid.m4 \
249         $(top_srcdir)/config/amanda/version.m4 \
250         $(top_srcdir)/config/gnulib/alloca.m4 \
251         $(top_srcdir)/config/gnulib/arpa_inet_h.m4 \
252         $(top_srcdir)/config/gnulib/base64.m4 \
253         $(top_srcdir)/config/gnulib/eoverflow.m4 \
254         $(top_srcdir)/config/gnulib/extensions.m4 \
255         $(top_srcdir)/config/gnulib/float_h.m4 \
256         $(top_srcdir)/config/gnulib/fsusage.m4 \
257         $(top_srcdir)/config/gnulib/getaddrinfo.m4 \
258         $(top_srcdir)/config/gnulib/getopt.m4 \
259         $(top_srcdir)/config/gnulib/gettimeofday.m4 \
260         $(top_srcdir)/config/gnulib/gnulib-common.m4 \
261         $(top_srcdir)/config/gnulib/gnulib-comp.m4 \
262         $(top_srcdir)/config/gnulib/include_next.m4 \
263         $(top_srcdir)/config/gnulib/inet_ntop.m4 \
264         $(top_srcdir)/config/gnulib/intmax_t.m4 \
265         $(top_srcdir)/config/gnulib/lock.m4 \
266         $(top_srcdir)/config/gnulib/longlong.m4 \
267         $(top_srcdir)/config/gnulib/malloc.m4 \
268         $(top_srcdir)/config/gnulib/mkdtemp.m4 \
269         $(top_srcdir)/config/gnulib/netinet_in_h.m4 \
270         $(top_srcdir)/config/gnulib/onceonly_2_57.m4 \
271         $(top_srcdir)/config/gnulib/physmem.m4 \
272         $(top_srcdir)/config/gnulib/safe-read.m4 \
273         $(top_srcdir)/config/gnulib/safe-write.m4 \
274         $(top_srcdir)/config/gnulib/snprintf.m4 \
275         $(top_srcdir)/config/gnulib/socklen.m4 \
276         $(top_srcdir)/config/gnulib/sockpfaf.m4 \
277         $(top_srcdir)/config/gnulib/ssize_t.m4 \
278         $(top_srcdir)/config/gnulib/stdbool.m4 \
279         $(top_srcdir)/config/gnulib/stdint.m4 \
280         $(top_srcdir)/config/gnulib/stdio_h.m4 \
281         $(top_srcdir)/config/gnulib/stdlib_h.m4 \
282         $(top_srcdir)/config/gnulib/strdup.m4 \
283         $(top_srcdir)/config/gnulib/string_h.m4 \
284         $(top_srcdir)/config/gnulib/sys_socket_h.m4 \
285         $(top_srcdir)/config/gnulib/sys_stat_h.m4 \
286         $(top_srcdir)/config/gnulib/sys_time_h.m4 \
287         $(top_srcdir)/config/gnulib/tempname.m4 \
288         $(top_srcdir)/config/gnulib/unistd_h.m4 \
289         $(top_srcdir)/config/gnulib/vasnprintf.m4 \
290         $(top_srcdir)/config/gnulib/visibility.m4 \
291         $(top_srcdir)/config/gnulib/wchar.m4 \
292         $(top_srcdir)/config/gettext-macros/gettext.m4 \
293         $(top_srcdir)/config/gettext-macros/iconv.m4 \
294         $(top_srcdir)/config/gettext-macros/inttypes_h.m4 \
295         $(top_srcdir)/config/gettext-macros/lib-ld.m4 \
296         $(top_srcdir)/config/gettext-macros/lib-link.m4 \
297         $(top_srcdir)/config/gettext-macros/lib-prefix.m4 \
298         $(top_srcdir)/config/gettext-macros/nls.m4 \
299         $(top_srcdir)/config/gettext-macros/po.m4 \
300         $(top_srcdir)/config/gettext-macros/progtest.m4 \
301         $(top_srcdir)/config/gettext-macros/size_max.m4 \
302         $(top_srcdir)/config/gettext-macros/stdint_h.m4 \
303         $(top_srcdir)/config/gettext-macros/wchar_t.m4 \
304         $(top_srcdir)/config/gettext-macros/wint_t.m4 \
305         $(top_srcdir)/config/gettext-macros/xsize.m4 \
306         $(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.in
307 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
308         $(ACLOCAL_M4)
309 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
310 CONFIG_HEADER = $(top_builddir)/config/config.h
311 CONFIG_CLEAN_FILES =
312 CONFIG_CLEAN_VPATH_FILES =
313 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
314 am__vpath_adj = case $$p in \
315     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
316     *) f=$$p;; \
317   esac;
318 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
319 am__install_max = 40
320 am__nobase_strip_setup = \
321   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
322 am__nobase_strip = \
323   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
324 am__nobase_list = $(am__nobase_strip_setup); \
325   for p in $$list; do echo "$$p $$p"; done | \
326   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
327   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
328     if (++n[$$2] == $(am__install_max)) \
329       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
330     END { for (dir in files) print dir, files[dir] }'
331 am__base_list = \
332   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
333   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
334 am__installdirs = "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(amlibexecdir)" \
335         "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(sbindir)"
336 LTLIBRARIES = $(amlib_LTLIBRARIES)
337 libamserver_la_DEPENDENCIES = ../device-src/libamdevice.la \
338         ../common-src/libamanda.la
339 am_libamserver_la_OBJECTS = amindex.lo changer.lo diskfile.lo \
340         driverio.lo cmdline.lo holding.lo infofile.lo logfile.lo \
341         tapefile.lo find.lo server_util.lo taperscan.lo
342 libamserver_la_OBJECTS = $(am_libamserver_la_OBJECTS)
343 libamserver_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
344         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
345         $(libamserver_la_LDFLAGS) $(LDFLAGS) -o $@
346 am__EXEEXT_1 = diskfile$(EXEEXT) infofile$(EXEEXT)
347 PROGRAMS = $(amlibexec_PROGRAMS) $(noinst_PROGRAMS) $(sbin_PROGRAMS)
348 amadmin_SOURCES = amadmin.c
349 amadmin_OBJECTS = amadmin.$(OBJEXT)
350 amadmin_LDADD = $(LDADD)
351 am__DEPENDENCIES_1 =
352 amadmin_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
353         ../device-src/libamdevice.la ../common-src/libamanda.la \
354         $(am__DEPENDENCIES_1)
355 amcheck_SOURCES = amcheck.c
356 amcheck_OBJECTS = amcheck.$(OBJEXT)
357 amcheck_LDADD = $(LDADD)
358 amcheck_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
359         ../device-src/libamdevice.la ../common-src/libamanda.la \
360         $(am__DEPENDENCIES_1)
361 amcleanupdisk_SOURCES = amcleanupdisk.c
362 amcleanupdisk_OBJECTS = amcleanupdisk.$(OBJEXT)
363 amcleanupdisk_LDADD = $(LDADD)
364 amcleanupdisk_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
365         ../device-src/libamdevice.la ../common-src/libamanda.la \
366         $(am__DEPENDENCIES_1)
367 amflush_SOURCES = amflush.c
368 amflush_OBJECTS = amflush.$(OBJEXT)
369 amflush_LDADD = $(LDADD)
370 amflush_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
371         ../device-src/libamdevice.la ../common-src/libamanda.la \
372         $(am__DEPENDENCIES_1)
373 am__objects_1 = amindexd.$(OBJEXT) disk_history.$(OBJEXT) \
374         list_dir.$(OBJEXT)
375 am_amindexd_OBJECTS = $(am__objects_1)
376 amindexd_OBJECTS = $(am_amindexd_OBJECTS)
377 am__DEPENDENCIES_2 = ../common-src/libamanda.la libamserver.la \
378         ../device-src/libamdevice.la ../common-src/libamanda.la \
379         $(am__DEPENDENCIES_1)
380 amindexd_DEPENDENCIES = $(am__DEPENDENCIES_2) \
381         ../amandad-src/libamandad.la
382 amlabel_SOURCES = amlabel.c
383 amlabel_OBJECTS = amlabel.$(OBJEXT)
384 amlabel_LDADD = $(LDADD)
385 amlabel_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
386         ../device-src/libamdevice.la ../common-src/libamanda.la \
387         $(am__DEPENDENCIES_1)
388 amlogroll_SOURCES = amlogroll.c
389 amlogroll_OBJECTS = amlogroll.$(OBJEXT)
390 amlogroll_LDADD = $(LDADD)
391 amlogroll_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
392         ../device-src/libamdevice.la ../common-src/libamanda.la \
393         $(am__DEPENDENCIES_1)
394 am_amreport_OBJECTS = reporter.$(OBJEXT)
395 amreport_OBJECTS = $(am_amreport_OBJECTS)
396 amreport_LDADD = $(LDADD)
397 amreport_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
398         ../device-src/libamdevice.la ../common-src/libamanda.la \
399         $(am__DEPENDENCIES_1)
400 amservice_SOURCES = amservice.c
401 amservice_OBJECTS = amservice.$(OBJEXT)
402 amservice_LDADD = $(LDADD)
403 amservice_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
404         ../device-src/libamdevice.la ../common-src/libamanda.la \
405         $(am__DEPENDENCIES_1)
406 amtape_SOURCES = amtape.c
407 amtape_OBJECTS = amtape.$(OBJEXT)
408 amtape_LDADD = $(LDADD)
409 amtape_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
410         ../device-src/libamdevice.la ../common-src/libamanda.la \
411         $(am__DEPENDENCIES_1)
412 amtrmidx_SOURCES = amtrmidx.c
413 amtrmidx_OBJECTS = amtrmidx.$(OBJEXT)
414 amtrmidx_LDADD = $(LDADD)
415 amtrmidx_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
416         ../device-src/libamdevice.la ../common-src/libamanda.la \
417         $(am__DEPENDENCIES_1)
418 amtrmlog_SOURCES = amtrmlog.c
419 amtrmlog_OBJECTS = amtrmlog.$(OBJEXT)
420 amtrmlog_LDADD = $(LDADD)
421 amtrmlog_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
422         ../device-src/libamdevice.la ../common-src/libamanda.la \
423         $(am__DEPENDENCIES_1)
424 chunker_SOURCES = chunker.c
425 chunker_OBJECTS = chunker.$(OBJEXT)
426 chunker_LDADD = $(LDADD)
427 chunker_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
428         ../device-src/libamdevice.la ../common-src/libamanda.la \
429         $(am__DEPENDENCIES_1)
430 am_diskfile_OBJECTS = diskfile.test.$(OBJEXT)
431 diskfile_OBJECTS = $(am_diskfile_OBJECTS)
432 diskfile_LDADD = $(LDADD)
433 diskfile_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
434         ../device-src/libamdevice.la ../common-src/libamanda.la \
435         $(am__DEPENDENCIES_1)
436 driver_SOURCES = driver.c
437 driver_OBJECTS = driver.$(OBJEXT)
438 driver_LDADD = $(LDADD)
439 driver_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
440         ../device-src/libamdevice.la ../common-src/libamanda.la \
441         $(am__DEPENDENCIES_1)
442 dumper_SOURCES = dumper.c
443 dumper_OBJECTS = dumper.$(OBJEXT)
444 dumper_LDADD = $(LDADD)
445 dumper_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
446         ../device-src/libamdevice.la ../common-src/libamanda.la \
447         $(am__DEPENDENCIES_1)
448 am_infofile_OBJECTS = infofile.test.$(OBJEXT)
449 infofile_OBJECTS = $(am_infofile_OBJECTS)
450 infofile_LDADD = $(LDADD)
451 infofile_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
452         ../device-src/libamdevice.la ../common-src/libamanda.la \
453         $(am__DEPENDENCIES_1)
454 planner_SOURCES = planner.c
455 planner_OBJECTS = planner.$(OBJEXT)
456 planner_LDADD = $(LDADD)
457 planner_DEPENDENCIES = ../common-src/libamanda.la libamserver.la \
458         ../device-src/libamdevice.la ../common-src/libamanda.la \
459         $(am__DEPENDENCIES_1)
460 am_taper_OBJECTS = taper.$(OBJEXT) taper-source.$(OBJEXT) \
461         taper-file-source.$(OBJEXT) taper-port-source.$(OBJEXT) \
462         taper-disk-port-source.$(OBJEXT) \
463         taper-mem-port-source.$(OBJEXT)
464 taper_OBJECTS = $(am_taper_OBJECTS)
465 taper_DEPENDENCIES = $(am__DEPENDENCIES_2) \
466         ../amandad-src/libamandad.la
467 am_taper_source_test_OBJECTS = taper-source-test.$(OBJEXT) \
468         taper-source.$(OBJEXT) taper-file-source.$(OBJEXT) \
469         taper-port-source.$(OBJEXT) taper-disk-port-source.$(OBJEXT) \
470         taper-mem-port-source.$(OBJEXT)
471 taper_source_test_OBJECTS = $(am_taper_source_test_OBJECTS)
472 taper_source_test_DEPENDENCIES = $(am__DEPENDENCIES_2) \
473         ../amandad-src/libamandad.la
474 SCRIPTS = $(sbin_SCRIPTS)
475 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
476 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
477 am__depfiles_maybe = depfiles
478 am__mv = mv -f
479 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
480         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
481 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
482         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
483         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
484 CCLD = $(CC)
485 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
486         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
487         $(LDFLAGS) -o $@
488 SOURCES = $(libamserver_la_SOURCES) amadmin.c amcheck.c \
489         amcleanupdisk.c amflush.c $(amindexd_SOURCES) amlabel.c \
490         amlogroll.c $(amreport_SOURCES) amservice.c amtape.c \
491         amtrmidx.c amtrmlog.c chunker.c $(diskfile_SOURCES) driver.c \
492         dumper.c $(infofile_SOURCES) planner.c $(taper_SOURCES) \
493         $(taper_source_test_SOURCES)
494 DIST_SOURCES = $(libamserver_la_SOURCES) amadmin.c amcheck.c \
495         amcleanupdisk.c amflush.c $(amindexd_SOURCES) amlabel.c \
496         amlogroll.c $(amreport_SOURCES) amservice.c amtape.c \
497         amtrmidx.c amtrmlog.c chunker.c $(diskfile_SOURCES) driver.c \
498         dumper.c $(infofile_SOURCES) planner.c $(taper_SOURCES) \
499         $(taper_source_test_SOURCES)
500 HEADERS = $(noinst_HEADERS)
501 ETAGS = etags
502 CTAGS = ctags
503 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
504 ACLOCAL = @ACLOCAL@
505 AIX_BACKUP = @AIX_BACKUP@
506 ALLOCA = @ALLOCA@
507 ALLOCA_H = @ALLOCA_H@
508 AMANDA_DBGDIR = @AMANDA_DBGDIR@
509 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
510 AMANDA_STATIC_LDFLAGS = @AMANDA_STATIC_LDFLAGS@
511 AMANDA_TMPDIR = @AMANDA_TMPDIR@
512 AMANDA_WARNING_CFLAGS = @AMANDA_WARNING_CFLAGS@
513 AMLINT = @AMLINT@
514 AMLINTFLAGS = @AMLINTFLAGS@
515 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
516 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
517 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
518 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
519 AMTAR = @AMTAR@
520 APPLICATION_DIR = @APPLICATION_DIR@
521 AR = @AR@
522 ARPA_INET_H = @ARPA_INET_H@
523 ASSERTIONS = @ASSERTIONS@
524 AUTOCONF = @AUTOCONF@
525 AUTOHEADER = @AUTOHEADER@
526 AUTOMAKE = @AUTOMAKE@
527 AWK = @AWK@
528 BASH = @BASH@
529 BINARY_OWNER = @BINARY_OWNER@
530 BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
531 BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
532 BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
533 BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
534 BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
535 BSDTCP_SECURITY = @BSDTCP_SECURITY@
536 BSDUDP_SECURITY = @BSDUDP_SECURITY@
537 BSD_SECURITY = @BSD_SECURITY@
538 CAT = @CAT@
539 CC = @CC@
540 CCDEPMODE = @CCDEPMODE@
541 CFLAGS = @CFLAGS@
542 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
543 CHECK_USERID = @CHECK_USERID@
544 CHIO = @CHIO@
545 CHS = @CHS@
546 CLIENT_HOST_INSTANCE = @CLIENT_HOST_INSTANCE@
547 CLIENT_HOST_KEY_FILE = @CLIENT_HOST_KEY_FILE@
548 CLIENT_HOST_PRINCIPAL = @CLIENT_HOST_PRINCIPAL@
549 CLIENT_LOGIN = @CLIENT_LOGIN@
550 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
551 COMPRESS = @COMPRESS@
552 COMPRESS_BEST_OPT = @COMPRESS_BEST_OPT@
553 COMPRESS_FAST_OPT = @COMPRESS_FAST_OPT@
554 COMPRESS_PATH = @COMPRESS_PATH@
555 COMPRESS_SUFFIX = @COMPRESS_SUFFIX@
556 CONFIG_CLOBBER_MY_CONFIG = @CONFIG_CLOBBER_MY_CONFIG@
557 CONFIG_DIR = @CONFIG_DIR@
558 CPP = @CPP@
559 CPPFLAGS = @CPPFLAGS@
560 CURL_CONFIG = @CURL_CONFIG@
561 CXX = @CXX@
562 CXXCPP = @CXXCPP@
563 CXXDEPMODE = @CXXDEPMODE@
564 CXXFLAGS = @CXXFLAGS@
565 CYGPATH_W = @CYGPATH_W@
566 DD = @DD@
567 DEFAULT_AMANDATES_FILE = @DEFAULT_AMANDATES_FILE@
568 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
569 DEFAULT_CONFIG = @DEFAULT_CONFIG@
570 DEFAULT_MAILER = @DEFAULT_MAILER@
571 DEFAULT_SERVER = @DEFAULT_SERVER@
572 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
573 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
574 DEFS = @DEFS@
575 DEPDIR = @DEPDIR@
576 DOC_BUILD_DATE = @DOC_BUILD_DATE@
577 DUMP = @DUMP@
578 DUMP_RETURNS_1 = @DUMP_RETURNS_1@
579 ECHO = @ECHO@
580 ECHO_C = @ECHO_C@
581 ECHO_N = @ECHO_N@
582 ECHO_T = @ECHO_T@
583 EGREP = @EGREP@
584 EOVERFLOW = @EOVERFLOW@
585 EXAMPLE_TAPEDEV = @EXAMPLE_TAPEDEV@
586 EXEEXT = @EXEEXT@
587 F77 = @F77@
588 FFLAGS = @FFLAGS@
589 FLOAT_H = @FLOAT_H@
590 GETCONF = @GETCONF@
591 GETOPT_H = @GETOPT_H@
592 GETTEXT = @GETTEXT@
593 GLIB_CFLAGS = @GLIB_CFLAGS@
594 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
595 GLIB_LIBS = @GLIB_LIBS@
596 GLIB_MKENUMS = @GLIB_MKENUMS@
597 GMSGFMT = @GMSGFMT@
598 GMSGFMT_015 = @GMSGFMT_015@
599 GNULIB_CALLOC_POSIX = @GNULIB_CALLOC_POSIX@
600 GNULIB_CHOWN = @GNULIB_CHOWN@
601 GNULIB_DUP2 = @GNULIB_DUP2@
602 GNULIB_ENVIRON = @GNULIB_ENVIRON@
603 GNULIB_FCHDIR = @GNULIB_FCHDIR@
604 GNULIB_FFLUSH = @GNULIB_FFLUSH@
605 GNULIB_FOPEN = @GNULIB_FOPEN@
606 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
607 GNULIB_FREOPEN = @GNULIB_FREOPEN@
608 GNULIB_FSEEK = @GNULIB_FSEEK@
609 GNULIB_FSEEKO = @GNULIB_FSEEKO@
610 GNULIB_FTELL = @GNULIB_FTELL@
611 GNULIB_FTELLO = @GNULIB_FTELLO@
612 GNULIB_FTRUNCATE = @GNULIB_FTRUNCATE@
613 GNULIB_GETCWD = @GNULIB_GETCWD@
614 GNULIB_GETDELIM = @GNULIB_GETDELIM@
615 GNULIB_GETLINE = @GNULIB_GETLINE@
616 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
617 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
618 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
619 GNULIB_LCHOWN = @GNULIB_LCHOWN@
620 GNULIB_LSEEK = @GNULIB_LSEEK@
621 GNULIB_MALLOC_POSIX = @GNULIB_MALLOC_POSIX@
622 GNULIB_MBSCASECMP = @GNULIB_MBSCASECMP@
623 GNULIB_MBSCASESTR = @GNULIB_MBSCASESTR@
624 GNULIB_MBSCHR = @GNULIB_MBSCHR@
625 GNULIB_MBSCSPN = @GNULIB_MBSCSPN@
626 GNULIB_MBSLEN = @GNULIB_MBSLEN@
627 GNULIB_MBSNCASECMP = @GNULIB_MBSNCASECMP@
628 GNULIB_MBSNLEN = @GNULIB_MBSNLEN@
629 GNULIB_MBSPBRK = @GNULIB_MBSPBRK@
630 GNULIB_MBSPCASECMP = @GNULIB_MBSPCASECMP@
631 GNULIB_MBSRCHR = @GNULIB_MBSRCHR@
632 GNULIB_MBSSEP = @GNULIB_MBSSEP@
633 GNULIB_MBSSPN = @GNULIB_MBSSPN@
634 GNULIB_MBSSTR = @GNULIB_MBSSTR@
635 GNULIB_MBSTOK_R = @GNULIB_MBSTOK_R@
636 GNULIB_MEMMEM = @GNULIB_MEMMEM@
637 GNULIB_MEMPCPY = @GNULIB_MEMPCPY@
638 GNULIB_MEMRCHR = @GNULIB_MEMRCHR@
639 GNULIB_MKDTEMP = @GNULIB_MKDTEMP@
640 GNULIB_MKSTEMP = @GNULIB_MKSTEMP@
641 GNULIB_PRINTF_POSIX = @GNULIB_PRINTF_POSIX@
642 GNULIB_PUTENV = @GNULIB_PUTENV@
643 GNULIB_READLINK = @GNULIB_READLINK@
644 GNULIB_REALLOC_POSIX = @GNULIB_REALLOC_POSIX@
645 GNULIB_SETENV = @GNULIB_SETENV@
646 GNULIB_SLEEP = @GNULIB_SLEEP@
647 GNULIB_SNPRINTF = @GNULIB_SNPRINTF@
648 GNULIB_SPRINTF_POSIX = @GNULIB_SPRINTF_POSIX@
649 GNULIB_STPCPY = @GNULIB_STPCPY@
650 GNULIB_STPNCPY = @GNULIB_STPNCPY@
651 GNULIB_STRCASESTR = @GNULIB_STRCASESTR@
652 GNULIB_STRCHRNUL = @GNULIB_STRCHRNUL@
653 GNULIB_STRDUP = @GNULIB_STRDUP@
654 GNULIB_STRERROR = @GNULIB_STRERROR@
655 GNULIB_STRNDUP = @GNULIB_STRNDUP@
656 GNULIB_STRNLEN = @GNULIB_STRNLEN@
657 GNULIB_STRPBRK = @GNULIB_STRPBRK@
658 GNULIB_STRSEP = @GNULIB_STRSEP@
659 GNULIB_STRSIGNAL = @GNULIB_STRSIGNAL@
660 GNULIB_STRSTR = @GNULIB_STRSTR@
661 GNULIB_STRTOK_R = @GNULIB_STRTOK_R@
662 GNULIB_UNSETENV = @GNULIB_UNSETENV@
663 GNULIB_VASPRINTF = @GNULIB_VASPRINTF@
664 GNULIB_VFPRINTF_POSIX = @GNULIB_VFPRINTF_POSIX@
665 GNULIB_VPRINTF_POSIX = @GNULIB_VPRINTF_POSIX@
666 GNULIB_VSNPRINTF = @GNULIB_VSNPRINTF@
667 GNULIB_VSPRINTF_POSIX = @GNULIB_VSPRINTF_POSIX@
668 GNULIB_WCWIDTH = @GNULIB_WCWIDTH@
669 GNUPLOT = @GNUPLOT@
670 GNUTAR = @GNUTAR@
671 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
672 GOBJECT_QUERY = @GOBJECT_QUERY@
673 GREP = @GREP@
674 GZIP = @GZIP@
675 HAVE_CALLOC_POSIX = @HAVE_CALLOC_POSIX@
676 HAVE_DECL_ENVIRON = @HAVE_DECL_ENVIRON@
677 HAVE_DECL_GETDELIM = @HAVE_DECL_GETDELIM@
678 HAVE_DECL_GETLINE = @HAVE_DECL_GETLINE@
679 HAVE_DECL_GETLOGIN_R = @HAVE_DECL_GETLOGIN_R@
680 HAVE_DECL_MEMMEM = @HAVE_DECL_MEMMEM@
681 HAVE_DECL_MEMRCHR = @HAVE_DECL_MEMRCHR@
682 HAVE_DECL_MKDIR = @HAVE_DECL_MKDIR@
683 HAVE_DECL_SNPRINTF = @HAVE_DECL_SNPRINTF@
684 HAVE_DECL_STRDUP = @HAVE_DECL_STRDUP@
685 HAVE_DECL_STRERROR = @HAVE_DECL_STRERROR@
686 HAVE_DECL_STRNDUP = @HAVE_DECL_STRNDUP@
687 HAVE_DECL_STRNLEN = @HAVE_DECL_STRNLEN@
688 HAVE_DECL_STRSIGNAL = @HAVE_DECL_STRSIGNAL@
689 HAVE_DECL_STRTOK_R = @HAVE_DECL_STRTOK_R@
690 HAVE_DECL_VSNPRINTF = @HAVE_DECL_VSNPRINTF@
691 HAVE_DECL_WCWIDTH = @HAVE_DECL_WCWIDTH@
692 HAVE_DUP2 = @HAVE_DUP2@
693 HAVE_FSEEKO = @HAVE_FSEEKO@
694 HAVE_FTELLO = @HAVE_FTELLO@
695 HAVE_FTRUNCATE = @HAVE_FTRUNCATE@
696 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
697 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
698 HAVE_GZIP = @HAVE_GZIP@
699 HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
700 HAVE_IO_H = @HAVE_IO_H@
701 HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
702 HAVE_LSTAT = @HAVE_LSTAT@
703 HAVE_MALLOC_POSIX = @HAVE_MALLOC_POSIX@
704 HAVE_MEMPCPY = @HAVE_MEMPCPY@
705 HAVE_MKDTEMP = @HAVE_MKDTEMP@
706 HAVE_NETINET_IN_H = @HAVE_NETINET_IN_H@
707 HAVE_OS_H = @HAVE_OS_H@
708 HAVE_READLINK = @HAVE_READLINK@
709 HAVE_REALLOC_POSIX = @HAVE_REALLOC_POSIX@
710 HAVE_SETENV = @HAVE_SETENV@
711 HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
712 HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
713 HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
714 HAVE_SLEEP = @HAVE_SLEEP@
715 HAVE_STDINT_H = @HAVE_STDINT_H@
716 HAVE_STPCPY = @HAVE_STPCPY@
717 HAVE_STPNCPY = @HAVE_STPNCPY@
718 HAVE_STRCASESTR = @HAVE_STRCASESTR@
719 HAVE_STRCHRNUL = @HAVE_STRCHRNUL@
720 HAVE_STRNDUP = @HAVE_STRNDUP@
721 HAVE_STRPBRK = @HAVE_STRPBRK@
722 HAVE_STRSEP = @HAVE_STRSEP@
723 HAVE_STRUCT_TIMEVAL = @HAVE_STRUCT_TIMEVAL@
724 HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
725 HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
726 HAVE_SYS_PARAM_H = @HAVE_SYS_PARAM_H@
727 HAVE_SYS_SOCKET_H = @HAVE_SYS_SOCKET_H@
728 HAVE_SYS_TIME_H = @HAVE_SYS_TIME_H@
729 HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
730 HAVE_UNISTD_H = @HAVE_UNISTD_H@
731 HAVE_UNSETENV = @HAVE_UNSETENV@
732 HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
733 HAVE_VASPRINTF = @HAVE_VASPRINTF@
734 HAVE_VISIBILITY = @HAVE_VISIBILITY@
735 HAVE_WCHAR_H = @HAVE_WCHAR_H@
736 HAVE_WINSOCK2_H = @HAVE_WINSOCK2_H@
737 HAVE_WS2TCPIP_H = @HAVE_WS2TCPIP_H@
738 HAVE__BOOL = @HAVE__BOOL@
739 INCLUDE_NEXT = @INCLUDE_NEXT@
740 INSTALL = @INSTALL@
741 INSTALL_DATA = @INSTALL_DATA@
742 INSTALL_PROGRAM = @INSTALL_PROGRAM@
743 INSTALL_SCRIPT = @INSTALL_SCRIPT@
744 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
745 INTLLIBS = @INTLLIBS@
746 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
747 KRB4_SECURITY = @KRB4_SECURITY@
748 KRB5_SECURITY = @KRB5_SECURITY@
749 LDFLAGS = @LDFLAGS@
750 LEX = @LEX@
751 LEXLIB = @LEXLIB@
752 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
753 LIBCURL = @LIBCURL@
754 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
755 LIBICONV = @LIBICONV@
756 LIBINTL = @LIBINTL@
757 LIBMULTITHREAD = @LIBMULTITHREAD@
758 LIBOBJS = @LIBOBJS@
759 LIBPTH = @LIBPTH@
760 LIBS = @LIBS@
761 LIBTHREAD = @LIBTHREAD@
762 LIBTOOL = @LIBTOOL@
763 LIBTOOL_DEPS = @LIBTOOL_DEPS@
764 LN_S = @LN_S@
765 LOCKING = @LOCKING@
766 LOW_TCPPORTRANGE = @LOW_TCPPORTRANGE@
767 LTLIBICONV = @LTLIBICONV@
768 LTLIBINTL = @LTLIBINTL@
769 LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
770 LTLIBOBJS = @LTLIBOBJS@
771 LTLIBPTH = @LTLIBPTH@
772 LTLIBTHREAD = @LTLIBTHREAD@
773 MAILER = @MAILER@
774 MAKEINFO = @MAKEINFO@
775 MCUTIL = @MCUTIL@
776 MKDIR_P = @MKDIR_P@
777 MSGFMT = @MSGFMT@
778 MSGFMT_015 = @MSGFMT_015@
779 MSGMERGE = @MSGMERGE@
780 MT = @MT@
781 MTX = @MTX@
782 MT_FILE_FLAG = @MT_FILE_FLAG@
783 NETINET_IN_H = @NETINET_IN_H@
784 NEXT_FLOAT_H = @NEXT_FLOAT_H@
785 NEXT_NETINET_IN_H = @NEXT_NETINET_IN_H@
786 NEXT_STDINT_H = @NEXT_STDINT_H@
787 NEXT_STDIO_H = @NEXT_STDIO_H@
788 NEXT_STDLIB_H = @NEXT_STDLIB_H@
789 NEXT_STRING_H = @NEXT_STRING_H@
790 NEXT_SYS_SOCKET_H = @NEXT_SYS_SOCKET_H@
791 NEXT_SYS_STAT_H = @NEXT_SYS_STAT_H@
792 NEXT_SYS_TIME_H = @NEXT_SYS_TIME_H@
793 NEXT_UNISTD_H = @NEXT_UNISTD_H@
794 NEXT_WCHAR_H = @NEXT_WCHAR_H@
795 OBJEXT = @OBJEXT@
796 PACKAGE = @PACKAGE@
797 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
798 PACKAGE_NAME = @PACKAGE_NAME@
799 PACKAGE_STRING = @PACKAGE_STRING@
800 PACKAGE_TARNAME = @PACKAGE_TARNAME@
801 PACKAGE_VERSION = @PACKAGE_VERSION@
802 PATH_SEPARATOR = @PATH_SEPARATOR@
803 PCAT = @PCAT@
804 PERL = @PERL@
805 PERLEXTLIBS = @PERLEXTLIBS@
806 PERL_INC = @PERL_INC@
807 PKG_CONFIG = @PKG_CONFIG@
808 POSUB = @POSUB@
809 PRINT = @PRINT@
810 PS = @PS@
811 PS_ARGUMENT = @PS_ARGUMENT@
812 PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
813 RANLIB = @RANLIB@
814 READLINE_LIBS = @READLINE_LIBS@
815 REPLACE_CHOWN = @REPLACE_CHOWN@
816 REPLACE_FCHDIR = @REPLACE_FCHDIR@
817 REPLACE_FFLUSH = @REPLACE_FFLUSH@
818 REPLACE_FOPEN = @REPLACE_FOPEN@
819 REPLACE_FPRINTF = @REPLACE_FPRINTF@
820 REPLACE_FREOPEN = @REPLACE_FREOPEN@
821 REPLACE_FSEEK = @REPLACE_FSEEK@
822 REPLACE_FSEEKO = @REPLACE_FSEEKO@
823 REPLACE_FTELL = @REPLACE_FTELL@
824 REPLACE_FTELLO = @REPLACE_FTELLO@
825 REPLACE_GETCWD = @REPLACE_GETCWD@
826 REPLACE_GETLINE = @REPLACE_GETLINE@
827 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
828 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
829 REPLACE_LCHOWN = @REPLACE_LCHOWN@
830 REPLACE_LSEEK = @REPLACE_LSEEK@
831 REPLACE_MEMMEM = @REPLACE_MEMMEM@
832 REPLACE_MKSTEMP = @REPLACE_MKSTEMP@
833 REPLACE_PRINTF = @REPLACE_PRINTF@
834 REPLACE_PUTENV = @REPLACE_PUTENV@
835 REPLACE_SNPRINTF = @REPLACE_SNPRINTF@
836 REPLACE_SPRINTF = @REPLACE_SPRINTF@
837 REPLACE_STRCASESTR = @REPLACE_STRCASESTR@
838 REPLACE_STRERROR = @REPLACE_STRERROR@
839 REPLACE_STRSIGNAL = @REPLACE_STRSIGNAL@
840 REPLACE_STRSTR = @REPLACE_STRSTR@
841 REPLACE_VASPRINTF = @REPLACE_VASPRINTF@
842 REPLACE_VFPRINTF = @REPLACE_VFPRINTF@
843 REPLACE_VPRINTF = @REPLACE_VPRINTF@
844 REPLACE_VSNPRINTF = @REPLACE_VSNPRINTF@
845 REPLACE_VSPRINTF = @REPLACE_VSPRINTF@
846 REPLACE_WCWIDTH = @REPLACE_WCWIDTH@
847 RESTORE = @RESTORE@
848 RSH_SECURITY = @RSH_SECURITY@
849 SAMBA_CLIENT = @SAMBA_CLIENT@
850 SERVER_HOST_INSTANCE = @SERVER_HOST_INSTANCE@
851 SERVER_HOST_KEY_FILE = @SERVER_HOST_KEY_FILE@
852 SERVER_HOST_PRINCIPAL = @SERVER_HOST_PRINCIPAL@
853 SERVICE_SUFFIX = @SERVICE_SUFFIX@
854 SETUID_GROUP = @SETUID_GROUP@
855 SET_MAKE = @SET_MAKE@
856 SHELL = @SHELL@
857 SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
858 SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
859 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
860 SORT = @SORT@
861 SSH = @SSH@
862 SSH_SECURITY = @SSH_SECURITY@
863 STDBOOL_H = @STDBOOL_H@
864 STDINT_H = @STDINT_H@
865 STRIP = @STRIP@
866 SVN = @SVN@
867 SWIG = @SWIG@
868 SWIG_LIB = @SWIG_LIB@
869 SYS_SOCKET_H = @SYS_SOCKET_H@
870 SYS_STAT_H = @SYS_STAT_H@
871 SYS_TIME_H = @SYS_TIME_H@
872 TCPPORTRANGE = @TCPPORTRANGE@
873 TICKET_LIFETIME = @TICKET_LIFETIME@
874 UDPPORTRANGE = @UDPPORTRANGE@
875 UNCOMPRESS_OPT = @UNCOMPRESS_OPT@
876 UNCOMPRESS_PATH = @UNCOMPRESS_PATH@
877 USE_AMANDAHOSTS = @USE_AMANDAHOSTS@
878 USE_NLS = @USE_NLS@
879 USE_RUNDUMP = @USE_RUNDUMP@
880 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
881 VDUMP = @VDUMP@
882 VERSION = @VERSION@
883 VERSION_COMMENT = @VERSION_COMMENT@
884 VERSION_MAJOR = @VERSION_MAJOR@
885 VERSION_MINOR = @VERSION_MINOR@
886 VERSION_PATCH = @VERSION_PATCH@
887 VERSION_SUFFIX = @VERSION_SUFFIX@
888 VOID_UNSETENV = @VOID_UNSETENV@
889 VRESTORE = @VRESTORE@
890 VXDUMP = @VXDUMP@
891 VXRESTORE = @VXRESTORE@
892 WCHAR_H = @WCHAR_H@
893 WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
894 WINT_T_SUFFIX = @WINT_T_SUFFIX@
895 XFSDUMP = @XFSDUMP@
896 XFSRESTORE = @XFSRESTORE@
897 XGETTEXT = @XGETTEXT@
898 XGETTEXT_015 = @XGETTEXT_015@
899 XSLREL = @XSLREL@
900 XSLTPROC = @XSLTPROC@
901 XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
902 YACC = @YACC@
903 YFLAGS = @YFLAGS@
904 _libcurl_config = @_libcurl_config@
905 abs_builddir = @abs_builddir@
906 abs_srcdir = @abs_srcdir@
907 abs_top_builddir = @abs_top_builddir@
908 abs_top_srcdir = @abs_top_srcdir@
909 ac_ct_CC = @ac_ct_CC@
910 ac_ct_CXX = @ac_ct_CXX@
911 ac_ct_F77 = @ac_ct_F77@
912 am__include = @am__include@
913 am__leading_dot = @am__leading_dot@
914 am__quote = @am__quote@
915 am__tar = @am__tar@
916 am__untar = @am__untar@
917 amdatadir = @amdatadir@
918 amincludedir = @amincludedir@
919 amlibdir = @amlibdir@
920 amlibexecdir = @amlibexecdir@
921 amperldir = @amperldir@
922 bindir = @bindir@
923 build = @build@
924 build_alias = @build_alias@
925 build_cpu = @build_cpu@
926 build_os = @build_os@
927 build_vendor = @build_vendor@
928 builddir = @builddir@
929 datadir = @datadir@
930 datarootdir = @datarootdir@
931 docdir = @docdir@
932 dvidir = @dvidir@
933 exec_prefix = @exec_prefix@
934 gl_LIBOBJS = @gl_LIBOBJS@
935 gl_LTLIBOBJS = @gl_LTLIBOBJS@
936 gltests_LIBOBJS = @gltests_LIBOBJS@
937 gltests_LTLIBOBJS = @gltests_LTLIBOBJS@
938 host = @host@
939 host_alias = @host_alias@
940 host_cpu = @host_cpu@
941 host_os = @host_os@
942 host_vendor = @host_vendor@
943 htmldir = @htmldir@
944 includedir = @includedir@
945 infodir = @infodir@
946 install_sh = @install_sh@
947 libdir = @libdir@
948 libexecdir = @libexecdir@
949 localedir = @localedir@
950 localstatedir = @localstatedir@
951 mandir = @mandir@
952 mkdir_p = @mkdir_p@
953 oldincludedir = @oldincludedir@
954 pdfdir = @pdfdir@
955 prefix = @prefix@
956 program_transform_name = @program_transform_name@
957 psdir = @psdir@
958 sbindir = @sbindir@
959 sharedstatedir = @sharedstatedir@
960 srcdir = @srcdir@
961 sysconfdir = @sysconfdir@
962 target = @target@
963 target_alias = @target_alias@
964 target_cpu = @target_cpu@
965 target_os = @target_os@
966 target_vendor = @target_vendor@
967 top_build_prefix = @top_build_prefix@
968 top_builddir = @top_builddir@
969 top_srcdir = @top_srcdir@
970 SUFFIXES = 
971 EXTRA_DIST = 
972 BUILT_SOURCES = 
973 MOSTLYCLEANFILES = 
974
975 # config.status leaves config.log files around
976 CLEANFILES = config.log *.test.c
977
978 # and we'll need to clean up our generated files for distclean
979 DISTCLEANFILES = $(SCRIPTS_SHELL) $(SCRIPTS_PERL) $(SCRIPTS_AWK) \
980         $(SCRIPTS_INCLUDE) $(am__append_1)
981 MAINTAINERCLEANFILES = 
982
983 # syntax-check shell scripts on 'make check'
984 CHECK_SHELL = $(SCRIPTS_SHELL)
985
986 # sed expression to strip leading directories from a filename; this converts e.g.,
987 # src/foo/bar.so to bar.so.
988 strip_leading_dirs = s|^.*/||
989 @WANT_INSTALLPERMS_FALSE@do_file = pa="$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
990 @WANT_INSTALLPERMS_FALSE@    echo "installperm \"$$chown\" \"$$chmod\" \"$$pa\"" >> "$(installperms_sh)"
991
992
993 # define a snippet of the scripts below to either perform a chown/chmod operation,
994 # or record that operation in the logfile.  On entry to the snippet, $$dest is the
995 # destination directory, $$cmd is the srcdir-relative pathname of the target file,
996 # $$chown is the ownership, and $$chmod is the permission pattern.
997 @WANT_INSTALLPERMS_TRUE@do_file = pa="$(DESTDIR)$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
998 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chown"; then \
999 @WANT_INSTALLPERMS_TRUE@        echo chown "$$chown" "$$pa"; \
1000 @WANT_INSTALLPERMS_TRUE@        chown "$$chown" "$$pa" || exit 1; \
1001 @WANT_INSTALLPERMS_TRUE@    fi; \
1002 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chmod"; then \
1003 @WANT_INSTALLPERMS_TRUE@        echo chmod "$$chmod" "$$pa"; \
1004 @WANT_INSTALLPERMS_TRUE@        chmod "$$chmod" "$$pa" || exit 1; \
1005 @WANT_INSTALLPERMS_TRUE@    fi 
1006
1007 @WANT_INSTALLPERMS_FALSE@installperms_sh = "$(top_builddir)/installperms.sh"
1008 INCLUDES = -I$(top_builddir)/common-src \
1009                 -I$(top_srcdir)/common-src   \
1010                 -I$(top_srcdir)/restore-src  \
1011                 -I$(top_srcdir)/amandad-src  \
1012                 -I$(top_srcdir)/device-src   \
1013                 -I$(top_srcdir)/gnulib
1014
1015 AM_CFLAGS = $(AMANDA_WARNING_CFLAGS)
1016 AM_LDFLAGS = $(AMANDA_STATIC_LDFLAGS)
1017 LINT = $(AMLINT)
1018 LINTFLAGS = $(AMLINTFLAGS)
1019 amlib_LTLIBRARIES = libamserver.la
1020
1021 # Exclude scripts which depend on perl extension modules from the syntax checks
1022 CHECK_PERL = \
1023             amaddclient \
1024             amoverview \
1025             amserverconfig \
1026             amtoc \
1027             amdevcheck \
1028             amcheckdump \
1029             amcleanup \
1030             amvault \
1031             amstatus
1032
1033 SCRIPTS_PERL = $(CHECK_PERL)
1034 SCRIPTS_SHELL = \
1035             amcheckdb \
1036             amdump \
1037             amrmtape
1038
1039 sbin_SCRIPTS = $(SCRIPTS_PERL) $(SCRIPTS_SHELL)
1040 INSTALLPERMS_exec = \
1041         dest=$(sbindir) chown=amanda chmod= \
1042                 $(sbin_PROGRAMS) \
1043         chown=root chmod=04750 \
1044                 amcheck amservice \
1045         dest=$(amlibexecdir) chown=amanda chmod= \
1046                 $(amlibexec_PROGRAMS) \
1047         chown=root chmod=04750 \
1048                 dumper planner
1049
1050 INSTALLPERMS_data = \
1051         dest=$(sbindir) chown=amanda chmod= \
1052                 $(sbin_SCRIPTS) \
1053         dest=$(amlibexecdir) chown=amanda chmod= \
1054                 $(amlibexec_SCRIPTS)
1055
1056
1057 ###
1058 # Because libamanda includes routines (e.g. regex) provided by some system
1059 # libraries, and because of the way libtool sets up the command line, we
1060 # need to list libamanda twice here, first to override the system library
1061 # routines, and second to pick up any references in the other libraries.
1062 ###
1063 LDADD = ../common-src/libamanda.la   \
1064         libamserver.la               \
1065         ../device-src/libamdevice.la     \
1066         ../common-src/libamanda.la   \
1067         $(READLINE_LIBS)
1068
1069 libamserver_la_SOURCES = amindex.c      changer.c                       \
1070                         diskfile.c      driverio.c      cmdline.c  \
1071                         holding.c       infofile.c      logfile.c       \
1072                         tapefile.c      find.c          server_util.c   \
1073                         taperscan.c
1074
1075 libamserver_la_LDFLAGS = -release $(VERSION)
1076 libamserver_la_LIBADD = ../device-src/libamdevice.la \
1077                        ../common-src/libamanda.la
1078
1079 taper_source_test_SOURCES = taper-source-test.c \
1080                         taper-source.c \
1081                         taper-file-source.c \
1082                         taper-port-source.c \
1083                         taper-disk-port-source.c \
1084                         taper-mem-port-source.c
1085
1086 taper_SOURCES = taper.c \
1087                         taper-source.c \
1088                         taper-file-source.c \
1089                         taper-port-source.c \
1090                         taper-disk-port-source.c \
1091                         taper-mem-port-source.c
1092
1093 taper_LDADD = $(LDADD) \
1094         ../amandad-src/libamandad.la
1095
1096 taper_source_test_LDADD = $(LDADD) \
1097         ../amandad-src/libamandad.la
1098
1099 amindexd_LDADD = $(LDADD) \
1100         ../amandad-src/libamandad.la
1101
1102
1103 # there are used for testing only:
1104 TEST_PROGS = diskfile infofile
1105 amindexd_CSRC = amindexd.c      disk_history.c  list_dir.c
1106 amindexd_SOURCES = disk_history.h       list_dir.h      $(amindexd_CSRC)
1107 amreport_SOURCES = reporter.c
1108 noinst_HEADERS = amindex.h      changer.h       cmdline.h       \
1109                         diskfile.h      driverio.h      \
1110                         holding.h       infofile.h      logfile.h       \
1111                         tapefile.h      find.h          server_util.h   \
1112                         taperscan.h taper-disk-port-source.h \
1113                         taper-mem-port-source.h  taper-file-source.h \
1114                         taper-port-source.h taper-source.h
1115
1116 diskfile_SOURCES = diskfile.test.c
1117 infofile_SOURCES = infofile.test.c
1118 all: $(BUILT_SOURCES)
1119         $(MAKE) $(AM_MAKEFLAGS) all-am
1120
1121 .SUFFIXES:
1122 .SUFFIXES: .c .lo .o .obj
1123 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/config/automake/vars.am $(top_srcdir)/config/automake/scripts.am $(top_srcdir)/config/automake/installperms.am $(top_srcdir)/config/automake/precompile.am $(am__configure_deps)
1124         @for dep in $?; do \
1125           case '$(am__configure_deps)' in \
1126             *$$dep*) \
1127               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
1128                 && { if test -f $@; then exit 0; else break; fi; }; \
1129               exit 1;; \
1130           esac; \
1131         done; \
1132         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu server-src/Makefile'; \
1133         $(am__cd) $(top_srcdir) && \
1134           $(AUTOMAKE) --gnu server-src/Makefile
1135 .PRECIOUS: Makefile
1136 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1137         @case '$?' in \
1138           *config.status*) \
1139             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
1140           *) \
1141             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
1142             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
1143         esac;
1144
1145 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1146         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1147
1148 $(top_srcdir)/configure:  $(am__configure_deps)
1149         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1150 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
1151         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1152 $(am__aclocal_m4_deps):
1153 install-amlibLTLIBRARIES: $(amlib_LTLIBRARIES)
1154         @$(NORMAL_INSTALL)
1155         test -z "$(amlibdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibdir)"
1156         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
1157         list2=; for p in $$list; do \
1158           if test -f $$p; then \
1159             list2="$$list2 $$p"; \
1160           else :; fi; \
1161         done; \
1162         test -z "$$list2" || { \
1163           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(amlibdir)'"; \
1164           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(amlibdir)"; \
1165         }
1166
1167 uninstall-amlibLTLIBRARIES:
1168         @$(NORMAL_UNINSTALL)
1169         @list='$(amlib_LTLIBRARIES)'; test -n "$(amlibdir)" || list=; \
1170         for p in $$list; do \
1171           $(am__strip_dir) \
1172           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(amlibdir)/$$f'"; \
1173           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(amlibdir)/$$f"; \
1174         done
1175
1176 clean-amlibLTLIBRARIES:
1177         -test -z "$(amlib_LTLIBRARIES)" || rm -f $(amlib_LTLIBRARIES)
1178         @list='$(amlib_LTLIBRARIES)'; for p in $$list; do \
1179           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
1180           test "$$dir" != "$$p" || dir=.; \
1181           echo "rm -f \"$${dir}/so_locations\""; \
1182           rm -f "$${dir}/so_locations"; \
1183         done
1184 libamserver.la: $(libamserver_la_OBJECTS) $(libamserver_la_DEPENDENCIES) 
1185         $(libamserver_la_LINK) -rpath $(amlibdir) $(libamserver_la_OBJECTS) $(libamserver_la_LIBADD) $(LIBS)
1186 install-amlibexecPROGRAMS: $(amlibexec_PROGRAMS)
1187         @$(NORMAL_INSTALL)
1188         test -z "$(amlibexecdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibexecdir)"
1189         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
1190         for p in $$list; do echo "$$p $$p"; done | \
1191         sed 's/$(EXEEXT)$$//' | \
1192         while read p p1; do if test -f $$p || test -f $$p1; \
1193           then echo "$$p"; echo "$$p"; else :; fi; \
1194         done | \
1195         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
1196             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
1197         sed 'N;N;N;s,\n, ,g' | \
1198         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
1199           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1200             if ($$2 == $$4) files[d] = files[d] " " $$1; \
1201             else { print "f", $$3 "/" $$4, $$1; } } \
1202           END { for (d in files) print "f", d, files[d] }' | \
1203         while read type dir files; do \
1204             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1205             test -z "$$files" || { \
1206             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(amlibexecdir)$$dir'"; \
1207             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(amlibexecdir)$$dir" || exit $$?; \
1208             } \
1209         ; done
1210
1211 uninstall-amlibexecPROGRAMS:
1212         @$(NORMAL_UNINSTALL)
1213         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
1214         files=`for p in $$list; do echo "$$p"; done | \
1215           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1216               -e 's/$$/$(EXEEXT)/' `; \
1217         test -n "$$list" || exit 0; \
1218         echo " ( cd '$(DESTDIR)$(amlibexecdir)' && rm -f" $$files ")"; \
1219         cd "$(DESTDIR)$(amlibexecdir)" && rm -f $$files
1220
1221 clean-amlibexecPROGRAMS:
1222         @list='$(amlibexec_PROGRAMS)'; test -n "$$list" || exit 0; \
1223         echo " rm -f" $$list; \
1224         rm -f $$list || exit $$?; \
1225         test -n "$(EXEEXT)" || exit 0; \
1226         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1227         echo " rm -f" $$list; \
1228         rm -f $$list
1229
1230 clean-noinstPROGRAMS:
1231         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1232         echo " rm -f" $$list; \
1233         rm -f $$list || exit $$?; \
1234         test -n "$(EXEEXT)" || exit 0; \
1235         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1236         echo " rm -f" $$list; \
1237         rm -f $$list
1238 install-sbinPROGRAMS: $(sbin_PROGRAMS)
1239         @$(NORMAL_INSTALL)
1240         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
1241         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
1242         for p in $$list; do echo "$$p $$p"; done | \
1243         sed 's/$(EXEEXT)$$//' | \
1244         while read p p1; do if test -f $$p || test -f $$p1; \
1245           then echo "$$p"; echo "$$p"; else :; fi; \
1246         done | \
1247         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
1248             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
1249         sed 'N;N;N;s,\n, ,g' | \
1250         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
1251           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1252             if ($$2 == $$4) files[d] = files[d] " " $$1; \
1253             else { print "f", $$3 "/" $$4, $$1; } } \
1254           END { for (d in files) print "f", d, files[d] }' | \
1255         while read type dir files; do \
1256             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1257             test -z "$$files" || { \
1258             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
1259             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
1260             } \
1261         ; done
1262
1263 uninstall-sbinPROGRAMS:
1264         @$(NORMAL_UNINSTALL)
1265         @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
1266         files=`for p in $$list; do echo "$$p"; done | \
1267           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1268               -e 's/$$/$(EXEEXT)/' `; \
1269         test -n "$$list" || exit 0; \
1270         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
1271         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
1272
1273 clean-sbinPROGRAMS:
1274         @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
1275         echo " rm -f" $$list; \
1276         rm -f $$list || exit $$?; \
1277         test -n "$(EXEEXT)" || exit 0; \
1278         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1279         echo " rm -f" $$list; \
1280         rm -f $$list
1281 amadmin$(EXEEXT): $(amadmin_OBJECTS) $(amadmin_DEPENDENCIES) 
1282         @rm -f amadmin$(EXEEXT)
1283         $(LINK) $(amadmin_OBJECTS) $(amadmin_LDADD) $(LIBS)
1284 amcheck$(EXEEXT): $(amcheck_OBJECTS) $(amcheck_DEPENDENCIES) 
1285         @rm -f amcheck$(EXEEXT)
1286         $(LINK) $(amcheck_OBJECTS) $(amcheck_LDADD) $(LIBS)
1287 amcleanupdisk$(EXEEXT): $(amcleanupdisk_OBJECTS) $(amcleanupdisk_DEPENDENCIES) 
1288         @rm -f amcleanupdisk$(EXEEXT)
1289         $(LINK) $(amcleanupdisk_OBJECTS) $(amcleanupdisk_LDADD) $(LIBS)
1290 amflush$(EXEEXT): $(amflush_OBJECTS) $(amflush_DEPENDENCIES) 
1291         @rm -f amflush$(EXEEXT)
1292         $(LINK) $(amflush_OBJECTS) $(amflush_LDADD) $(LIBS)
1293 amindexd$(EXEEXT): $(amindexd_OBJECTS) $(amindexd_DEPENDENCIES) 
1294         @rm -f amindexd$(EXEEXT)
1295         $(LINK) $(amindexd_OBJECTS) $(amindexd_LDADD) $(LIBS)
1296 amlabel$(EXEEXT): $(amlabel_OBJECTS) $(amlabel_DEPENDENCIES) 
1297         @rm -f amlabel$(EXEEXT)
1298         $(LINK) $(amlabel_OBJECTS) $(amlabel_LDADD) $(LIBS)
1299 amlogroll$(EXEEXT): $(amlogroll_OBJECTS) $(amlogroll_DEPENDENCIES) 
1300         @rm -f amlogroll$(EXEEXT)
1301         $(LINK) $(amlogroll_OBJECTS) $(amlogroll_LDADD) $(LIBS)
1302 amreport$(EXEEXT): $(amreport_OBJECTS) $(amreport_DEPENDENCIES) 
1303         @rm -f amreport$(EXEEXT)
1304         $(LINK) $(amreport_OBJECTS) $(amreport_LDADD) $(LIBS)
1305 amservice$(EXEEXT): $(amservice_OBJECTS) $(amservice_DEPENDENCIES) 
1306         @rm -f amservice$(EXEEXT)
1307         $(LINK) $(amservice_OBJECTS) $(amservice_LDADD) $(LIBS)
1308 amtape$(EXEEXT): $(amtape_OBJECTS) $(amtape_DEPENDENCIES) 
1309         @rm -f amtape$(EXEEXT)
1310         $(LINK) $(amtape_OBJECTS) $(amtape_LDADD) $(LIBS)
1311 amtrmidx$(EXEEXT): $(amtrmidx_OBJECTS) $(amtrmidx_DEPENDENCIES) 
1312         @rm -f amtrmidx$(EXEEXT)
1313         $(LINK) $(amtrmidx_OBJECTS) $(amtrmidx_LDADD) $(LIBS)
1314 amtrmlog$(EXEEXT): $(amtrmlog_OBJECTS) $(amtrmlog_DEPENDENCIES) 
1315         @rm -f amtrmlog$(EXEEXT)
1316         $(LINK) $(amtrmlog_OBJECTS) $(amtrmlog_LDADD) $(LIBS)
1317 chunker$(EXEEXT): $(chunker_OBJECTS) $(chunker_DEPENDENCIES) 
1318         @rm -f chunker$(EXEEXT)
1319         $(LINK) $(chunker_OBJECTS) $(chunker_LDADD) $(LIBS)
1320 diskfile$(EXEEXT): $(diskfile_OBJECTS) $(diskfile_DEPENDENCIES) 
1321         @rm -f diskfile$(EXEEXT)
1322         $(LINK) $(diskfile_OBJECTS) $(diskfile_LDADD) $(LIBS)
1323 driver$(EXEEXT): $(driver_OBJECTS) $(driver_DEPENDENCIES) 
1324         @rm -f driver$(EXEEXT)
1325         $(LINK) $(driver_OBJECTS) $(driver_LDADD) $(LIBS)
1326 dumper$(EXEEXT): $(dumper_OBJECTS) $(dumper_DEPENDENCIES) 
1327         @rm -f dumper$(EXEEXT)
1328         $(LINK) $(dumper_OBJECTS) $(dumper_LDADD) $(LIBS)
1329 infofile$(EXEEXT): $(infofile_OBJECTS) $(infofile_DEPENDENCIES) 
1330         @rm -f infofile$(EXEEXT)
1331         $(LINK) $(infofile_OBJECTS) $(infofile_LDADD) $(LIBS)
1332 planner$(EXEEXT): $(planner_OBJECTS) $(planner_DEPENDENCIES) 
1333         @rm -f planner$(EXEEXT)
1334         $(LINK) $(planner_OBJECTS) $(planner_LDADD) $(LIBS)
1335 taper$(EXEEXT): $(taper_OBJECTS) $(taper_DEPENDENCIES) 
1336         @rm -f taper$(EXEEXT)
1337         $(LINK) $(taper_OBJECTS) $(taper_LDADD) $(LIBS)
1338 taper_source_test$(EXEEXT): $(taper_source_test_OBJECTS) $(taper_source_test_DEPENDENCIES) 
1339         @rm -f taper_source_test$(EXEEXT)
1340         $(LINK) $(taper_source_test_OBJECTS) $(taper_source_test_LDADD) $(LIBS)
1341 install-sbinSCRIPTS: $(sbin_SCRIPTS)
1342         @$(NORMAL_INSTALL)
1343         test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
1344         @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || list=; \
1345         for p in $$list; do \
1346           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1347           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
1348         done | \
1349         sed -e 'p;s,.*/,,;n' \
1350             -e 'h;s|.*|.|' \
1351             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
1352         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
1353           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1354             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
1355               if (++n[d] == $(am__install_max)) { \
1356                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
1357             else { print "f", d "/" $$4, $$1 } } \
1358           END { for (d in files) print "f", d, files[d] }' | \
1359         while read type dir files; do \
1360              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1361              test -z "$$files" || { \
1362                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
1363                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
1364              } \
1365         ; done
1366
1367 uninstall-sbinSCRIPTS:
1368         @$(NORMAL_UNINSTALL)
1369         @list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || exit 0; \
1370         files=`for p in $$list; do echo "$$p"; done | \
1371                sed -e 's,.*/,,;$(transform)'`; \
1372         test -n "$$list" || exit 0; \
1373         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
1374         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
1375
1376 mostlyclean-compile:
1377         -rm -f *.$(OBJEXT)
1378
1379 distclean-compile:
1380         -rm -f *.tab.c
1381
1382 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amadmin.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amcheck.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amcleanupdisk.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amflush.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amindex.Plo@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amindexd.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amlabel.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amlogroll.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amservice.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amtape.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amtrmidx.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amtrmlog.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/changer.Plo@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chunker.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmdline.Plo@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/disk_history.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diskfile.Plo@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diskfile.test.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driver.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driverio.Plo@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dumper.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/find.Plo@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/holding.Plo@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infofile.Plo@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infofile.test.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list_dir.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logfile.Plo@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/planner.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reporter.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/server_util.Plo@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tapefile.Plo@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-disk-port-source.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-file-source.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-mem-port-source.Po@am__quote@
1416 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-port-source.Po@am__quote@
1417 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-source-test.Po@am__quote@
1418 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper-source.Po@am__quote@
1419 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taper.Po@am__quote@
1420 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/taperscan.Plo@am__quote@
1421
1422 .c.o:
1423 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1424 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1427 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1428
1429 .c.obj:
1430 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1431 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1433 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1434 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1435
1436 .c.lo:
1437 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1438 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1441 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1442
1443 mostlyclean-libtool:
1444         -rm -f *.lo
1445
1446 clean-libtool:
1447         -rm -rf .libs _libs
1448
1449 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1450         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1451         unique=`for i in $$list; do \
1452             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1453           done | \
1454           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1455               END { if (nonempty) { for (i in files) print i; }; }'`; \
1456         mkid -fID $$unique
1457 tags: TAGS
1458
1459 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1460                 $(TAGS_FILES) $(LISP)
1461         set x; \
1462         here=`pwd`; \
1463         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1464         unique=`for i in $$list; do \
1465             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1466           done | \
1467           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1468               END { if (nonempty) { for (i in files) print i; }; }'`; \
1469         shift; \
1470         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1471           test -n "$$unique" || unique=$$empty_fix; \
1472           if test $$# -gt 0; then \
1473             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1474               "$$@" $$unique; \
1475           else \
1476             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1477               $$unique; \
1478           fi; \
1479         fi
1480 ctags: CTAGS
1481 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1482                 $(TAGS_FILES) $(LISP)
1483         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1484         unique=`for i in $$list; do \
1485             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1486           done | \
1487           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1488               END { if (nonempty) { for (i in files) print i; }; }'`; \
1489         test -z "$(CTAGS_ARGS)$$unique" \
1490           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1491              $$unique
1492
1493 GTAGS:
1494         here=`$(am__cd) $(top_builddir) && pwd` \
1495           && $(am__cd) $(top_srcdir) \
1496           && gtags -i $(GTAGS_ARGS) "$$here"
1497
1498 distclean-tags:
1499         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1500
1501 distdir: $(DISTFILES)
1502         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1503         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1504         list='$(DISTFILES)'; \
1505           dist_files=`for file in $$list; do echo $$file; done | \
1506           sed -e "s|^$$srcdirstrip/||;t" \
1507               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1508         case $$dist_files in \
1509           */*) $(MKDIR_P) `echo "$$dist_files" | \
1510                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1511                            sort -u` ;; \
1512         esac; \
1513         for file in $$dist_files; do \
1514           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1515           if test -d $$d/$$file; then \
1516             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1517             if test -d "$(distdir)/$$file"; then \
1518               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1519             fi; \
1520             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1521               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1522               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1523             fi; \
1524             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1525           else \
1526             test -f "$(distdir)/$$file" \
1527             || cp -p $$d/$$file "$(distdir)/$$file" \
1528             || exit 1; \
1529           fi; \
1530         done
1531         $(MAKE) $(AM_MAKEFLAGS) \
1532           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1533           dist-hook
1534 check-am: all-am
1535         $(MAKE) $(AM_MAKEFLAGS) check-local
1536 check: $(BUILT_SOURCES)
1537         $(MAKE) $(AM_MAKEFLAGS) check-am
1538 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(HEADERS)
1539 installdirs:
1540         for dir in "$(DESTDIR)$(amlibdir)" "$(DESTDIR)$(amlibexecdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(sbindir)"; do \
1541           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1542         done
1543 install: $(BUILT_SOURCES)
1544         $(MAKE) $(AM_MAKEFLAGS) install-am
1545 install-exec: install-exec-am
1546 install-data: install-data-am
1547 uninstall: uninstall-am
1548
1549 install-am: all-am
1550         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1551
1552 installcheck: installcheck-am
1553 install-strip:
1554         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1555           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1556           `test -z '$(STRIP)' || \
1557             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1558 mostlyclean-generic:
1559         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1560
1561 clean-generic:
1562         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1563
1564 distclean-generic:
1565         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1566         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1567         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1568
1569 maintainer-clean-generic:
1570         @echo "This command is intended for maintainers to use"
1571         @echo "it deletes files that may require special tools to rebuild."
1572         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1573         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1574 clean: clean-am
1575
1576 clean-am: clean-amlibLTLIBRARIES clean-amlibexecPROGRAMS clean-generic \
1577         clean-libtool clean-noinstPROGRAMS clean-sbinPROGRAMS \
1578         mostlyclean-am
1579
1580 distclean: distclean-am
1581         -rm -rf ./$(DEPDIR)
1582         -rm -f Makefile
1583 distclean-am: clean-am distclean-compile distclean-generic \
1584         distclean-tags
1585
1586 dvi: dvi-am
1587
1588 dvi-am:
1589
1590 html: html-am
1591
1592 html-am:
1593
1594 info: info-am
1595
1596 info-am:
1597
1598 install-data-am: install-amlibLTLIBRARIES
1599         @$(NORMAL_INSTALL)
1600         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1601 install-dvi: install-dvi-am
1602
1603 install-dvi-am:
1604
1605 install-exec-am: install-amlibexecPROGRAMS install-sbinPROGRAMS \
1606         install-sbinSCRIPTS
1607         @$(NORMAL_INSTALL)
1608         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1609 install-html: install-html-am
1610
1611 install-html-am:
1612
1613 install-info: install-info-am
1614
1615 install-info-am:
1616
1617 install-man:
1618
1619 install-pdf: install-pdf-am
1620
1621 install-pdf-am:
1622
1623 install-ps: install-ps-am
1624
1625 install-ps-am:
1626
1627 installcheck-am: installcheck-local
1628
1629 maintainer-clean: maintainer-clean-am
1630         -rm -rf ./$(DEPDIR)
1631         -rm -f Makefile
1632 maintainer-clean-am: distclean-am maintainer-clean-generic
1633
1634 mostlyclean: mostlyclean-am
1635
1636 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1637         mostlyclean-libtool
1638
1639 pdf: pdf-am
1640
1641 pdf-am:
1642
1643 ps: ps-am
1644
1645 ps-am:
1646
1647 uninstall-am: uninstall-amlibLTLIBRARIES uninstall-amlibexecPROGRAMS \
1648         uninstall-sbinPROGRAMS uninstall-sbinSCRIPTS
1649
1650 .MAKE: all check check-am install install-am install-data-am \
1651         install-exec-am install-strip
1652
1653 .PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
1654         clean-amlibLTLIBRARIES clean-amlibexecPROGRAMS clean-generic \
1655         clean-libtool clean-noinstPROGRAMS clean-sbinPROGRAMS ctags \
1656         dist-hook distclean distclean-compile distclean-generic \
1657         distclean-libtool distclean-tags distdir dvi dvi-am html \
1658         html-am info info-am install install-am \
1659         install-amlibLTLIBRARIES install-amlibexecPROGRAMS \
1660         install-data install-data-am install-data-hook install-dvi \
1661         install-dvi-am install-exec install-exec-am install-exec-hook \
1662         install-html install-html-am install-info install-info-am \
1663         install-man install-pdf install-pdf-am install-ps \
1664         install-ps-am install-sbinPROGRAMS install-sbinSCRIPTS \
1665         install-strip installcheck installcheck-am installcheck-local \
1666         installdirs maintainer-clean maintainer-clean-generic \
1667         mostlyclean mostlyclean-compile mostlyclean-generic \
1668         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1669         uninstall-am uninstall-amlibLTLIBRARIES \
1670         uninstall-amlibexecPROGRAMS uninstall-sbinPROGRAMS \
1671         uninstall-sbinSCRIPTS
1672
1673
1674 # Perl
1675 %: %.pl $(top_builddir)/config.status
1676         $(top_builddir)/config.status --file=$@:$<
1677         chmod a+x $@
1678         @if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1679                 grep -v '^use lib' $@ > $@.nouselib; \
1680                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $@.nouselib || exit 1; \
1681                 rm $@.nouselib; \
1682         fi
1683
1684 %.pl: %.pl.in $(top_builddir)/config.status
1685         $(top_builddir)/config.status --file=$@:$<
1686
1687 %.pm: %.pm.in $(top_builddir)/config.status
1688         $(top_builddir)/config.status --file=$@:$<
1689
1690 # Shell
1691 %: %.sh $(top_builddir)/config.status
1692         $(top_builddir)/config.status --file=$@:$<
1693         chmod a+x $@
1694
1695 %.sh: %.sh.in $(top_builddir)/config.status
1696         $(top_builddir)/config.status --file=$@:$<
1697
1698 # Awk
1699 %: %.awk $(top_builddir)/config.status
1700         $(top_builddir)/config.status --file=$@:$<
1701         chmod a+x $@
1702
1703 %.awk: %.awk.in $(top_builddir)/config.status
1704         $(top_builddir)/config.status --file=$@:$<
1705
1706 # syntax-check perl scripts on 'make check'
1707 check-perl: $(CHECK_PERL)
1708         @CHECK_PERL="$(CHECK_PERL)"; \
1709         if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1710                 if test -n "$(PERL)"; then \
1711                         for perlobj in $$CHECK_PERL; do \
1712                                 grep -v '^use lib' $$perlobj > $$perlobj.nouselib; \
1713                                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $$perlobj.nouselib || exit 1; \
1714                                 rm $$perlobj.nouselib; \
1715                         done; \
1716                 fi \
1717         fi
1718 check-local: check-perl
1719
1720 # syntax-check perl scripts on 'make installcheck'
1721 installcheck-perl: $(CHECK_PERL)
1722         @CHECK_PERL="$(CHECK_PERL)"; \
1723         if test -n "$(PERL)"; then \
1724                 for perlobj in $$CHECK_PERL; do \
1725                         $(PERL) $(CHECK_PERL_FLAGS) -c -w -T $$perlobj || exit 1; \
1726                 done; \
1727         fi
1728 installcheck-local: installcheck-perl
1729 check-shell: $(CHECK_SHELL)
1730         @CHECK_SHELL="$(CHECK_SHELL)"; \
1731         if test -n "$$CHECK_SHELL"; then \
1732                 if test -n "$(BASH)"; then \
1733                         for shobj in $$CHECK_SHELL; do \
1734                                 if $(BASH) -n $$shobj; then \
1735                                         echo "$$shobj syntax OK"; \
1736                                 else \
1737                                         echo "$$shobj syntax error"; \
1738                                         exit 1; \
1739                                 fi; \
1740                         done; \
1741                 else \
1742                         echo "No 'bash' available -- cannot syntax-check shell scripts"; \
1743                 fi; \
1744         fi
1745 check-local: check-shell
1746
1747 # make sure that the sources for all shell and perl scripts get included
1748 # in the distribution
1749 dist-scripts:
1750         SCRIPTS_PERL="$(SCRIPTS_PERL)"; SCRIPTS_SHELL="$(SCRIPTS_SHELL)"; SCRIPTS_AWK="$(SCRIPTS_AWK)"; \
1751         for script in $$SCRIPTS_PERL; do \
1752                 test -f $(srcdir)/$${script}.pl && { cp -p $(srcdir)/$${script}.pl $(distdir)/ || exit 1; } \
1753         done; \
1754         for script in $$SCRIPTS_SHELL; do \
1755                 test -f $(srcdir)/$${script}.sh && { cp -p $(srcdir)/$${script}.sh $(distdir)/ || exit 1; } \
1756         done; \
1757         for script in $$SCRIPTS_AWK; do \
1758                 test -f $(srcdir)/$${script}.awk && { cp -p $(srcdir)/$${script}.awk $(distdir)/ || exit 1; } \
1759         done; \
1760         for script in $$SCRIPTS_SHELL $$SCRIPTS_PERL $$SCRIPTS_AWK; do \
1761                 test -f $(srcdir)/$${script}.in && { cp -p $(srcdir)/$${script}.in $(distdir)/ || exit 1; } \
1762         done; \
1763         true
1764 dist-hook: dist-scripts
1765
1766 installperms-exec:
1767         @installperms="$(INSTALLPERMS_exec)"; \
1768         test -n "$$installperms" && echo "Setting installation permissions on executables"; \
1769         dest=; chown=; chmod=; \
1770         for cmd in $$installperms; do \
1771             case "$$cmd" in \
1772                 chown=amanda) \
1773                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1774                 dest=*|chown=*|chmod=*) \
1775                         echo "  ($$cmd)"; eval $$cmd;; \
1776                 *) $(do_file) ;; \
1777             esac; \
1778         done
1779
1780 installperms-data:
1781         @installperms="$(INSTALLPERMS_data)"; \
1782         dest=; chown=; chmod=; \
1783         for cmd in $$installperms; do \
1784             case "$$cmd" in \
1785                 chown=amanda) \
1786                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1787                 dest=*|chown=*|chmod=*) \
1788                         echo "  ($$cmd)"; eval $$cmd;; \
1789                 *)  $(do_file) ;; \
1790             esac; \
1791         done
1792
1793 install-exec-hook: installperms-exec
1794 install-data-hook: installperms-data
1795
1796 # define a rule to initialize the installperms manifest file
1797 @WANT_INSTALLPERMS_TRUE@installperms-init:
1798 @WANT_INSTALLPERMS_FALSE@installperms-init:
1799 @WANT_INSTALLPERMS_FALSE@       rm -f "$(installperms_sh)"
1800
1801 # A rule to make precompiler output from C files.  This is not used during
1802 # ordinary builds, but but can very useful in debugging problems on strange
1803 # architectures.  With this rule, we can ask users to 'make foo.i' and send
1804 # the result to us.
1805 #
1806 # It touches some automake internals ($COMPILE), but since it's not
1807 # build-critical, that's OK.
1808 %.i : %.c
1809         $(COMPILE) -E -o $@ $<
1810
1811 lint:
1812         @ for p in $(amlibexec_PROGRAMS) $(sbin_PROGRAMS); do                   \
1813                 p=`basename $$p $(EXEEXT)`;                                     \
1814                 if [ $$p = "amindexd" ]; then                                   \
1815                         s="$(amindexd_CSRC)";                                   \
1816                 elif [ $$p = "amreport" ]; then                                 \
1817                         s="$(amreport_SOURCES)";                                \
1818                 else                                                            \
1819                         s=$$p.c;                                                \
1820                 fi;                                                             \
1821                 f="$$s $(libamserver_la_SOURCES)";                              \
1822                 (cd ../common-src; make listlibsrc);                            \
1823                 f="$$f "`cat ../common-src/listlibsrc.output`;                  \
1824                 echo $(LINT) $$f;                                               \
1825                 $(LINT) $(LINTFLAGS) $(CPPFLAGS) $(DEFS) -I. -I$(top_builddir)/config   \
1826                     $(INCLUDES) $$f;                                            \
1827                 if [ $$? -ne 0 ]; then                                          \
1828                     exit 1;                                                     \
1829                 fi;                                                             \
1830         done;                                                                   \
1831         exit 0
1832
1833 listlibsrc:
1834         @ for p in $(libamserver_la_SOURCES); do                \
1835                 listlibsrcs="$$listlibsrcs `pwd`/$$p";          \
1836         done;                                                   \
1837         echo $$listlibsrcs >listlibsrc.output
1838
1839 %.test.c: $(srcdir)/%.c
1840         echo '#define TEST' >$@
1841         echo '#include "$<"' >>$@
1842
1843 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1844 # Otherwise a system limit (for SysV at least) may be exceeded.
1845 .NOEXPORT: